Gets a paginated list of access data for current user

Prev Next
Get
/api/v2/myaccess
Security
HTTP
Type bearer
Query parameters
timezone
string
ExampleAsia/Kolkata
country
string

The country name filter by

destination
string

The target access host filter by

connectionName
string

The target connection access filter by

connectionType
array of string

Filter by the target connection type access. Availabe values are SSH/RDP/HTTP/HTTPS/VNC/TELNET

size
integer

The number of records to return per page

Default25
page
integer

The page number. The page number start from 1

Default1
sort
array of string

Sorting criteria in the format: field:asc|desc. Example fields are: ['username', timestamp', 'country', 'session', 'origin', 'destination']

Example[ "timestamp:asc" ]
from
string

The earliest date to search in access data. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-05-06T10:50:35+0000
to
string

The latest date to search in access data. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-05-06T10:50:35+0000
Responses
200

OK

Expand All
object
authorization
boolean
data
object
page
integer
results
Array of object (AccessSummary)
object
EventID
integer
EventType
string
RDG_FromHost
string
RDG_FromHost_country_code
string
RDG_FromHost_country_name
string
RDG_SessionTime
string
RDG_TargetUsername
string
RDG_ToHost
string
Timestamp
string
_id
string
connectionName
string
connectionType
string
organization
object
id
string
name
string
timezone
string
size
integer
totalCount
integer
totalPage
integer
error_code
integer
error_message
string
error_status
boolean
Examplefalse
500

Internal Server Error

object
authorization
boolean
data
Array of string
Example[]
string
error_code
integer | null
error_message
string | null
error_status
boolean